Subject: Re: bug#62093: 30.0.50; tramp: commit 8c6a463 breaks remotely staging chunks in magit

From: Benjamin Orthen <[email-masked]>
Date: Tue, 04 Apr 2023 09:13:06 +0000

Hi Michael,

sure. You'll need a git repository on a remote host with unstaged 
changes.

In the git repository, execute:
- `magit-status`
- `magit-jump-to-unstaged`
- navigate the cursor to one unstaged chunk in the diff (see attached 
image as an example)
- `magit-stage`

I hope this helps for reproducing the issue.

Best,
Benjamin

Am 2023-03-25 17:37, schrieb Michael Albinus:
> Benjamin Orthen <[email-masked]> writes:
> 
> Hi Benjamin,
> 
>> To reproduce:
>> - use tramp to visit a remote Linux host
>> - open magit on a git repository on the remote host
>> - in the magit buffer, try to stage a chunk (not a whole file)
> 
> I'm sorry, but I don't use magit myself. Could you please describe the
> magit commands I have to apply in Emacs in order to reproduce?
> 
> Best regards, Michael.